﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DynamicTable : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Создаем объект заголовка, настраиваем
        // и добавляем к объекту-странице
        HtmlGenericControl header = 
            new HtmlGenericControl();
        header.InnerHtml = "<h1>Динамическая<br/>таблица</h1>";
        header.Style["color"] = "red";
        this.Controls.Add(header);

        // Создаем объект-таблицу HtmlTable
        HtmlTable table1 = new HtmlTable();

        // Установим свойства таблицы
        table1.Border = 1;          // Толщина внешней рамки
        table1.CellPadding = 3;     // Отступ содержимого ячейки от рамки
        table1.CellSpacing = 3;     // Зазор между линиями рамки
        table1.BorderColor = "red"; // Цвет линий рамки

        // Объявляем вспомогательные ссылки на строки и столбцы таблицы
        HtmlTableRow row;
        HtmlTableCell cell;
        int maxRow = 5, maxCell = 4;
        for (int i = 1; i <= maxRow; i++)
        {
            // Создаем строку и настраиваем ее свойство
            row = new HtmlTableRow();
            row.BgColor = (i % 2 == 0 ? "lightyellow" : "lightcyan");

            // Создаем ячейки и добавляем к строке
            for (int j = 1; j <= maxCell; j++)
            {
                // Создаем ячейку
                cell = new HtmlTableCell();
                // Заполняем ячейку содержимым
                cell.InnerHtml = "Row: " + i.ToString() + "<br />" 
                               + "Cell: " + j.ToString();
                // Добавляем ячейку к текущей строке
                row.Cells.Add(cell);
            }

            // Добавляем строку к таблице
            table1.Rows.Add(row);
        }

        // Добавляем таблицу к странице
        this.Controls.Add(table1);
    }
}
